Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key

Query Parameters

backend
string
required

Available options: simulator, qpu.aria-1, qpu.aria-2, qpu.forte-1, qpu.forte-enterprise-1

type
string
default:ionq.circuit.v1
qubits
integer<int32>
default:25
shots
integer<int32>
default:1000
1q_gates
integer<int32>
default:0
2q_gates
integer<int32>
default:0
error_mitigation
boolean
default:false

Response

Successfully retrieved the cost estimate of a job.

estimate_context
object
required
estimated_at
string
required
estimated_unit
string
required
rate_card
object
required
estimated_total_cost
number<double>
required
estimated_execution_time
integer<int32>
required

Predicted job execution time, in milliseconds.

Example:

96250

current_predicted_queue_time
integer<int32>
required

Predicted time this job will wait in the queue before running, in milliseconds.

Example:

397577

estimated_quantum_compute_time_us
integer<int32>

Predicted quantum compute time, in microseconds. Only present for compute_second priced backends.